Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.wso2.wsas.admin.service
Class DataServiceAdmin

    java.lang.Object
      org.wso2.wsas.admin.service.AbstractAdmin
          org.wso2.wsas.admin.service.DataServiceAdmin

public class DataServiceAdmin
extends AbstractAdmin

Admin service to manage operations related to modules

Field Summary

Fields inherited from class org.wso2.wsas.admin.service.AbstractAdmin
`axisConfig, configCtx`

Constructor Summary
`DataServiceAdmin()`
`DataServiceAdmin(org.apache.axis2.context.ConfigurationContext configCtx)`

Method Summary
`org.apache.axiom.om.OMElement` | `echoDataElement(java.lang.String dataElement)`
`DBServerData[]` | `getDatabaseUrlDriverList()`
`org.apache.axiom.om.OMElement` | `getDataServiceContents(java.lang.String serviceId)`
`void` | `saveDataServiceContents(java.lang.String serviceId, java.lang.String configContents)`

Methods inherited from class org.wso2.wsas.admin.service.AbstractAdmin
`getAxisConfig, getConfigContext, init, setAxisConfig, setConfigContext`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DataServiceAdmin

    public DataServiceAdmin()

### DataServiceAdmin

    public DataServiceAdmin(org.apache.axis2.context.ConfigurationContext configCtx)

Method Detail

### getDataServiceContents

    public org.apache.axiom.om.OMElement getDataServiceContents(java.lang.String serviceId)
                                                         throws org.apache.axis2.AxisFault

  Throws:
    `org.apache.axis2.AxisFault`

### saveDataServiceContents

    public void saveDataServiceContents(java.lang.String serviceId,
                                        java.lang.String configContents)
                                 throws org.apache.axis2.AxisFault

  Throws:
    `org.apache.axis2.AxisFault`

### echoDataElement

    public org.apache.axiom.om.OMElement echoDataElement(java.lang.String dataElement)
                                                  throws org.apache.axis2.AxisFault

  Throws:
    `org.apache.axis2.AxisFault`

### getDatabaseUrlDriverList

    public DBServerData[] getDatabaseUrlDriverList()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD